[perl #124153] Fix require(v5.6)
authorFather Chrysostomos <sprout@cpan.org>
Fri, 27 Mar 2015 20:30:29 +0000 (13:30 -0700)
committerFather Chrysostomos <sprout@cpan.org>
Fri, 27 Mar 2015 20:30:29 +0000 (13:30 -0700)
commit2b79cfef7518ea0ccd16f1b34ef8dd2b25877f35
tree3ae86ac37ed7fb81104985328d21ac19799e55f3
parent8ce2ba821761a7ada1e1def512c0374977759cf7
[perl #124153] Fix require(v5.6)

For some reason the argument to require v5.6 has the NOK flag on,
but the parenthesized version lacks that flag, so the code added in
v5.21.3-504-ged6f447 to precompute the hash was wrong, and caused
require(v5.6) to lose its vstringness.
op.c
t/comp/require.t